[bglug] Da winModem a linModem

./SuperbepS superbeps@bglug.it
Mer 3 Mar 2004 10:46:34 CET


Alle 10:24, mercoledý 3 marzo 2004, mgrazia ha scritto:
> [root@MaryLeeKa root]# cat /root/PPP-logfile
> Feb 29 15:24:36 MaryLeeka pppd[9764]: This system lacks kernel support for
> PPP. This could be because the PPP kernel module could not be loaded, or
> because PPP was not included in the kernel configuration.  If PPP was
> included as a module, try `/sbin/modprobe -v ppp'.  If that fails, check
> that ppp.o exists in /lib/modules/`uname -r`/net. See README.linux file in
> the ppp distribution for

ma questo anche con ppp_generic caricato???

> [1]
> e' possibile che il problema non sia il PPP, ma il driver
> 'fatto' per una versione di kernel precedente che non comunica
> correttamente ?

si anche perche' quel driver presuppone un modulo chiamato ppp di cui io non 
ricordo nemmeno l'esistenza :-) 
(qualcuno mi smentisca!)

> # cat /usr/include/linux/autoconf.h | grep PPP[Invio]
> e vedi se esiste, se Ŕ compilato come modulo o all'interno del kernel;
> # lsmod | grep ppp[Invio]
>
> (se Ŕ compilato come modulo, assicurati che esso sia caricato)
>
> *Se proprio non esiste, devi ricompilare il kernel.*
>
> Ma e' vero ?????

Per essere vero e' vero... ma dato che usi il kernel di serie della tua 
distribuzione e' IMPOSSIBILE che non ci sia il supporto ppp a meno che tu non 
stia usando una distribuzione strampalata.

-- 
Q2: "But somebody had to keep an eye on you to make sure you still didn't find 
a
way to cause trouble, even as a member of this, hmm, limited species."
Q: "Well, I, I hope I've been entertaining you."
Q2: "Barely."
-- "Deja Q", Stardate 43539.1


Maggiori informazioni sulla lista bglug